
QGIS Application - Bug report #2528

Jumping items in legend

2010-03-07 11:56 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12588

Description

Well, it is pretty odd that there is no ticket about this issue. It has been around for a while and it affects both linux and windows

installations, especially the latter.

I have seen on basically every box where I have installed qgis or where I have seen qgis installed by others.

It is enough to add a few layers to a project and then start a normal work that includes moving layers in the legend, adding removing

layers and activating/deactivating layers in the legend.

Sooner or layer you will see items jumping from their spot in the legend to another one.

The worst part is that do not seems to exist a pattern to try understand why/when this happens.

New users are pretty puzzled by this issue.

History

#1 - 2010-05-13 08:54 AM - Jürgen Fischer

see also #2711

#2 - 2010-05-19 12:11 PM - Milena Nowotarska

see also #699

#3 - 2010-05-23 12:21 PM - Giovanni Manghi

see also #2018

#4 - 2010-06-03 07:37 PM - Giuseppe Sucameli

Can anybody tries if now legend works as expected? So I can close also this ticket.

#5 - 2010-06-11 11:16 AM - Giovanni Manghi

Giuseppe, a quick test and I cannot see jumps... let assume this is fixed. I'll reopen of necessary.
#6 - 2010-06-22 03:43 AM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:5 lutra]:

Giuseppe, a quick test and I cannot see jumps... let assume this is fixed. I'll reopen of necessary.

I see no jumps too.
